### CLEAN of Sgr B2N tuning at 167 (GHz)

# file name
flnm='X332_Sgr_B2N.ms.LSRK_FluxEqual_167'	# define measurements set

					
# line specific entires:
spwid=['0','']
freq=['166.899GHz', '']
mole=['CH3OH', '']			# CH3OH v t=0 8(1,7)-8(0,8)
startch=[1500, 0]
nchans=[120, 0]
thrshld=['60', '']			# stop cleaning when residual at this value [mJy]


for i in range(0,1):

	imgnm =	'SgrB2_167_spw'+spwid[i]+'_'+str(startch[i])+'-'+str(startch[i]+nchans[i])+'_'+freq[i]+'_'+mole[i]+'_cube.clean'	# define image name
	os.system('rm -rf '+imgnm+'*')
	tclean(vis=flnm,		# <--- tclean
	imagename=imgnm, 
        spw=spwid[i],                          
	antenna='',		
	field='Sgr_B2N',                      
	specmode='cube',          
	start=startch[i],                       
        nchan=nchans[i],
	gridder='standard',		# watch out: heterogeneous array (i.e. incl. 7m) ---> mosaic, 12m only ---> standard
        pblimit=0.05,
	imsize=800,
        cell='0.04arcsec',
        weighting='briggs',             
        robust=1.5,                     # Suppresses sidelobes
	uvtaper=['0.3arcsec'],          # Mitigates effect of sparse long baselines
	niter=2000000, 
	restfreq=freq[i],               
	threshold=thrshld[i]+'mJy',
	interactive=T)
	
	impbcor(imagename=imgnm+'.image', pbimage=imgnm+'.pb', outfile=imgnm+'.pbcorr', mode='divide')		# PB corrected image
	p=[imgnm+'.pb', imgnm+'.pbcorr']
	s=[os.system('rm -rf '+p[i]+'.fits') for i in range(len(p))]
	q=[exportfits(imagename=p[i], fitsimage=p[i]+'.fits') for i in range(len(p))]



